Jack::JackServerGlobals Struct Reference

Global server static structure: singleton kind of pattern. More...

`#include <JackServerGlobals.h>`

## Static Public Member Functions

static bool | Init ()
static void | Destroy ()
static int | Start (const char *server_name, jack_driver_desc_t *driver_desc, JSList *driver_params, int sync, int temporary, int time_out_ms, int rt, int priority, int port_max, int verbose, jack_timer_type_t clock, char self_connect_mode)
static void | Stop ()
static void | Delete ()

## Static Public Attributes

static JackServer * | fInstance
static unsigned int | fUserCount
static std::map< std::string, JackDriverInfo * > | fSlavesList
static std::map< std::string, int > | fInternalsList
static bool(* | on_device_acquire )(const char *device_name) = NULL
static void(* | on_device_release )(const char *device_name) = NULL

## Detailed Description

Global server static structure: singleton kind of pattern.

Definition at line 38 of file JackServerGlobals.h.

The documentation for this struct was generated from the following files:

- JackServerGlobals.h
- JackServerGlobals.cpp